Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1277660 - docker logs doesn't work with --log-driver=journald
Summary: docker logs doesn't work with --log-driver=journald
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-03 18:57 UTC by Lokesh Mandvekar
Modified: 2016-12-20 15:19 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 15:19:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Lokesh Mandvekar 2015-11-03 18:57:28 UTC
Description of problem:

/etc/sysconfig/docker has --log-driver=journald appended to OPTIONS. This causes 'docker logs' to complain. 

Version-Release number of selected component (if applicable):
docker-1.8.2-10.git28c300f.fc23.x86_64

How reproducible: consistent


Steps to Reproduce:
1. Install docker-1.8.2-10.git28c300f.fc23.x86_64

2. $ sudo systemctl start docker

3. $ sudo docker ps
CONTAINER ID        IMAGE               COMMAND             CREATED             STATUS  PORTS      NAMES
a7e2b4ee6fcb        fedora              "bash"              3 minutes ago       Up      3 minutes  high_feynman

4. $ sudo docker logs a7e2b4ee6fcb
"logs" command is supported only for "json-file" logging driver (got: journald)

Actual results:
See 4.

Dan, is this expected? And did I miss anything to be added to the rpm to make this error message go away?

Additional info:
Doesn't complain if that option is not used.

Comment 1 Nalin Dahyabhai 2015-11-04 22:52:11 UTC
I don't think we merged that into our 1.8 branches.  It's part of the upstream 1.9 release, so unless we need to backport it, it'll be fixed by an upgrade.

Comment 2 Daniel Walsh 2015-11-05 07:15:11 UTC
Ah yes, perhaps I should read the bugzilla.

Fixed in docker-1.9

Comment 3 Lokesh Mandvekar 2016-02-16 19:56:45 UTC
Putting this ON_QA as docker 1.9 is already in stable and 1.10.1 is in testing.

Comment 4 Fedora End Of Life 2016-11-24 13:02:46 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2016-12-20 15:19:57 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.